http_request_method_unregister
http_redirect
Funções para HTTP
PHP Manual

# http_request

(PECL pecl_http >= 1.0.0)

http_request — Perform custom request

### Descrição

string http_request ( int `$method` , string `$url` [, string `$body` [, array `$options` [, array `&$info` ]]] )

Performs a custom HTTP request on the supplied url.

See the full list of request options.

### Parâmetros

`method`

  Request method

`url`

  URL

`body`

  Request body

`options`

  request options

`info`

  Request/response information

### Valor Retornado

Returns the HTTP response(s) as string on success, or `FALSE` on failure.

http_request_method_unregister
http_redirect
Funções para HTTP
PHP Manual